package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家详细信息
 *
 * @author Woody
 * @date 2023/7/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDetailDTO implements Serializable {
    /**
     * 商家信息
     */
    private MerchantDTO merchant;

    /**
     * 分类列表
     */
    private List<CategoryDTO> categories;

    /**
     * 商品信息
     */
    private MerchantGoodsDTO goods;
}
