package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.FavoriteDTO;
import com.chelvc.cloud.vehicle.api.param.FavoriteModifyParam;

/**
 * 商品收藏接口
 *
 * @author liude
 * @date 2023/7/18
 */
public interface FavoriteService {
    /**
     * 收藏
     * @param param 收藏信息
     */
    Long addFavorite(FavoriteModifyParam param);
    /**
     * 取消收藏
     * @param id
     */
    void deleteFavorite(Long id);

    /**
     * 查询是否收藏
     * @param id
     * @return
     */
    FavoriteDTO getFavorite(Long id);


}
