package com.chelvc.cloud.vehicle.server.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 商品数据操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Mapper
public interface GoodsMapper extends BaseMapper<Goods> {
    /**
     * 获取商家商品分类ID
     *
     * @param merchantId 商家ID
     * @return 分类ID列表
     */
    List<Long> listMerchantGoodsCategoryIdentities(@Param("merchantId") Long merchantId);
}
