package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.Goods;

/**
 * 商品业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface GoodsService extends IService<Goods> {
    /**
     * 获取商家商品分类ID
     *
     * @param merchantId 商家ID
     * @return 分类ID列表
     */
    List<Long> listMerchantGoodsCategoryIdentities(Long merchantId);
}
