package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 经纬度查询参数
 *
 * @author Woody
 * @date 2023/5/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class PointQueryParam implements Serializable {
    /**
     * 经度
     */
    private double longitude;

    /**
     * 纬度
     */
    private double latitude;
}
