package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.api.param.GoodsPagingParam;
import com.chelvc.cloud.vehicle.api.param.MerchantPagingParam;
import com.chelvc.framework.base.model.Pagination;
/**
 * 商家业务接口
 *
 * @author liude
 * @date 2023/7/18
 */
public interface GoodsService {
    /**
     * 查询服务
     *
     * @param param 查询参数
     * @return 服务分页信息
     */
    Pagination<GoodsDTO> getGoodsPaging(GoodsPagingParam param);

    /**
     * 查询服务详情
     * @param id
     * @return
     */
    GoodsDTO getGoods(Long id);

}
