package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.CommentMapper;
import com.chelvc.cloud.vehicle.server.entity.Comment;
import com.chelvc.cloud.vehicle.server.service.CommentService;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 商家评论业务操作实现
 *
 * @author xp
 * @data 2023/3/31
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.CommentService.class)
public class CommentServiceImpl extends ServiceImpl<CommentMapper, Comment> implements CommentService,
        com.chelvc.cloud.vehicle.api.service.CommentService {
}
